<s:div xmlns:ui="http://java.sun.com/jsf/facelets"
       xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
       xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:f="http://java.sun.com/jsf/core"
       xmlns:g="http://www.ihe.net/gazelle" xmlns:rich="http://richfaces.org/rich" xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
        <ui:param name="panel_id" value="WebServicesInformation"/>
        <ui:define name="panel_title">
            <h:outputText value="#{messages['gazelle.dds.InformationAboutTheWsUsedToGetPatientAddress']}"/>
        </ui:define>
        <a4j:commandButton value="#{messages['net.ihe.gazelle.maven.AddAWebService']}"
                           actionListener="#{webServicesInformationManager.createWS()}"
                           oncomplete="jq162('#addWS').modal('show');"
                           styleClass="gzl-btn-green"
                           render=":addForm, addDiv"/>

        <rich:dataTable id="listWebServicesInformationTable" var="currentWs"
                        value="#{statisticManager.getAllWebServicesInformationDM()}"
                        rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                        render="ds">
            <g:column id="WsIdColumn" sortBy="#{'id'}">
                <ui:define name="header">#{messages['gazelle.dds.Id']}</ui:define>
                <h:outputText value="#{currentWs.id}"/>
            </g:column>
            <g:column id="WsNameColumn" filterBy="#{'wsName'}" sortBy="#{'wsName'}" sortOrder="ascending">
                <ui:define name="header">#{messages['gazelle.dds.WebServices_2']}</ui:define>
                <h:outputText value="#{currentWs.wsName}"/>
            </g:column>
            <g:column id="RequestMaximumNumberColumn" sortBy="#{'requestMaximumNumber'}">
                <ui:define name="header">#{messages['gazelle.dds.RequestMaximumNumber']}</ui:define>
                <h:outputText value="#{currentWs.requestMaximumNumber}"/>
            </g:column>
            <g:column id="RequestNumberSinceLast24h00Column" sortBy="#{'requestSinceLastDay'}">
                <ui:define name="header">#{messages['gazelle.dds.RequestNumberSinceLast24h00']}</ui:define>
                <h:outputText value="#{currentWs.requestSinceLastDay}"/>
            </g:column>
            <g:column id="TotalRequestColumn" sortBy="#{'totalRequest'}">
                <ui:define name="header">#{messages['gazelle.dds.TotalRequest']}</ui:define>
                <h:outputText value="#{currentWs.totalRequest}"/>
            </g:column>
            <g:column id="WsURLColumn">
                <ui:define name="header">#{messages['gazelle.dds.WsURL']}</ui:define>
                <h:outputText value="#{currentWs.wsURL}"/>
            </g:column>
            <g:column id="ActionColumn">
                <ui:define name="header">#{messages['gazelle.common.Action']}</ui:define>
                <div class="gzl-never-wrap">

                    <ui:fragment rendered="#{WebServicesInformation.getPriorityService().equals(currentWs.wsName)}">
                        <span class="gzl-icon-circle-green" title="service used"/>
                    </ui:fragment >
                    <ui:fragment rendered="#{not WebServicesInformation.getPriorityService().equals(currentWs.wsName)}">
                        <span class="gzl-icon-circle-red" title="service not used"/>
                    </ui:fragment>

                    <a4j:commandLink title="#{messages['net.ihe.gazelle.maven.Edit']}"
                                     actionListener="#{webServicesInformationManager.setSelectedWS(currentWs)}"
                                     oncomplete="jq162('#editWS').modal('show');"
                                     render=":editForm, editDiv">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <a4j:commandLink title="#{messages['net.ihe.gazelle.maven.Delete']}"
                                     actionListener="#{webServicesInformationManager.setSelectedWS(currentWs)}"
                                     oncomplete="jq162('#delWS').modal('show');"
                                     render=":delForm, delDiv">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </div>
            </g:column>
            <f:facet name="footer">
                <ui:include src="/util/datatableFooter.xhtml">
                    <ui:param name="dataScrollerId" value="ds"/>
                    <ui:param name="dataTableId" value="listWebServicesInformationTable"/>
                </ui:include>
            </f:facet>
        </rich:dataTable>
    </ui:decorate>


</s:div>
